Page MenuHomePhabricator

Override acct_creation_throttle_hit in WikimediaMessages to tell people to file a task if they're an an event etc
Closed, ResolvedPublic

Description

Filing a task for this, as there's a little bit more work to be done... Deciding where we point links etc

[17:05:12] <robla> Reedy: wonderful response!  just exploring what we do when Reedy isn't available to jfdi...what page shows up when someone is blocked?
[17:10:17] <Reedy> robla: Someone is blocked by what?
[17:10:27] <Reedy> ie too many signups on an ip address?
[17:10:57] <robla> yeah, that....what HTML does that user see?
[17:15:45] <Reedy>                                         return Status::newFatal( 'acct_creation_throttle_hit', $wgAccountCreationThrottle );
[17:17:02] <Reedy> Not a brilliant error, but it's not too bad
[17:17:28] <Reedy> Wonder if we should be overriding it in WikimediaMessages to suggest if people are at an event, to phile a task in phab
[17:17:33] <Reedy> Like the Freenode notification
[17:18:01] <Reedy> robla: ^^
[17:18:10] <robla> Reedy: yeah, that sounds like a great idea
[17:19:01] <Reedy> I should check if they do actually override...
[17:19:02] <robla> on Wikimedia wikis, perhaps the message itself should be a link to a page on meta
[17:20:05] <Reedy> https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/i18n/wikimedia/en.json
[17:20:18] <Reedy> aude: Do you know? Can WikimediaMessages be used to override the defaults in MW?
[17:21:40] --> sDrewth (~billinghu@wikisource/billinghurst) has joined #wikimedia-tech
[17:21:59] <Glaisher> Yep, there's a hook there.
[17:22:17] <Glaisher> https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/WikimediaMessages.hooks.php#L25
[17:23:42] <Reedy> Glaisher: Perfect, thanks :)

So we need to create a wikimedia-acct_creation_throttle_hit in en and qqq in WikimediaMessages, saying that if people are hitting this limit, and they're at some Wikimedia related event (even GLAM etc if using Commons), they should follow the instructions at https://meta.wikimedia.org/wiki/Mass_account_creation#Requesting_temporary_lift_of_IP_cap and files a task/poke people on IRC

Event Timeline

Reedy created this task.Nov 20 2015, 5:27 PM
Reedy raised the priority of this task from to High.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2015, 5:27 PM

Thanks for filing this, @Reedy! This seems like a good iterative improvement we can make on the road to addressing T91928: The Event Organiser's Userright

Change 254440 had a related patch set uploaded (by Reedy):
Override acct_creation_throttle_hit in WikimediaMessages to advise how to have the cap lifted if at a Wikimedia related event.

https://gerrit.wikimedia.org/r/254440

Nemo_bis added a subscriber: Nemo_bis.EditedDec 18 2015, 7:31 AM

I disagree with the proposed solution. People should be directed to https://www.mediawiki.org/wiki/Help:Mass_account_creation and we should not make the message so horribly wordy, damaging most users for the benefit of a minuscule minority.

I disagree with the proposed solution. People should be directed to https://www.mediawiki.org/wiki/Help:Mass_account_creation and we should not make the message so horribly wordy, damaging most users for the benefit of a minuscule minority.

Hmm. This is what I currently get:


coming from https://test.wikipedia.org/wiki/MediaWiki:Acct_creation_throttle_hit

It looks like the proposed change just adds another sentence to the end of that message. I.e.

Visitors to this wiki using your IP address have created $1 accounts in the last day, which is the maximum allowed in this time period. As a result, visitors using this IP address cannot create any more accounts at the moment.

versus (proposed)

Visitors to this wiki using your IP address have created $1 accounts in the last day, which is the maximum allowed in this time period. As a result, visitors using this IP address cannot create any more accounts at the moment.
If you are at an event where contributing to Wikimedia projects is the focus, please see Requesting temporary lift of IP cap to help resolve this issue.


So IIUC, we all agree that a link should be added, but the concerns you have are:

  1. which link to send people to, of either:
  2. what exact wording to use in the sentences/link.

For #1, both pages would make me frustrated as a new workshop organizer, if I were panicking and trying to figure out how to resolve the issue as fast as possible! I'd suggest that making the difference between those 2 pages clearer, would be a good long-term (separate) goal.
For now, I'd lean towards using the meta page, mostly because the mediawiki.org doc page is meant to document the generic MediaWiki implementation, and not be Wikimedia-focused.

For #2,

  • do you have suggestions on improving the existing or proposed sentences, or on integrating the link in some other way?
  • apart from participants and organizers in a workshop/event, is there another major demographic of users who will see this message, that we should be trying to assist?

For reference, here are some existing tweaked local variants:

For #1, both pages would make me frustrated as a new workshop organizer, if I were panicking and trying to figure out how to resolve the issue as fast as possible!

The suggestions at https://meta.wikimedia.org/wiki/Mass_account_creation are very slow, but https://www.mediawiki.org/wiki/Help:Mass_account_creation offers quick solutions.

The advice on mediawiki.org is generic advice for any wiki. The suggestions on meta are way more helpful in the event that the cap has been hit on a Wikimedia wiki, which is (hopefully) the only time this message would be seen. Someone could write up a more concise meta page for that exact case ("oops, someone forgot to request lifting the cap. Time to hop onto IRC and get it fixed"), but I'm not volunteering to write that page.

Florian added a subscriber: Florian.Jan 2 2016, 5:46 PM

Change 254440 merged by jenkins-bot:
Override acct_creation_throttle_hit in WikimediaMessages to advise how to have the cap lifted if at a Wikimedia related event.

https://gerrit.wikimedia.org/r/254440

Reedy closed this task as Resolved.Oct 9 2016, 10:53 AM
Reedy claimed this task.